package syncloud.storage;

public class Account {
    private StorageKey storageKey;
    private String password;

    public Account(StorageKey storageKey, String password) {
        this.storageKey = storageKey;
        this.password = password;
    }

    public User getUser() {
        return storageKey.getUser();
    }

    public StorageKey getStorageKey() {
        return storageKey;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        Account account = (Account) o;

        if (storageKey != null ? !storageKey.equals(account.storageKey) : account.storageKey != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        return storageKey != null ? storageKey.hashCode() : 0;
    }
}
