package syncloud.storage;

import java.util.List;

public class FolderUtils {
    private IFolder folder;

    public FolderUtils(IFolder folder) {
        this.folder = folder;
    }

    public static <T extends INode> T find(List<T> folders, String searchFor) {
        for(T folder: folders) {
            if (folder.getName().equals(searchFor))
                return folder;
        }
        return null;
    }

    public static <T extends INode> T findByNativePath(List<T> folders, String searchFor) {
        for(T folder: folders) {
            if (folder.getKey().getPathKey().getNativePath().equals(searchFor))
                return folder;
        }
        return null;
    }

    public IFolder getOrCreate(String folderName) {
        IFolder result = find(folder.getFolders(), folderName);
        if (result == null) result = folder.createFolder(folderName);
        return result;
    }
}
