package syncloud.storage;

import java.util.List;

public abstract class IFolder implements INode {
    public static final String UNABLE_TO_GET_SUBFOLDERS = "unable to get subfolders of %s";
    public static final String UNABLE_TO_GET_CONTENTS = "unable to get contents of %s";

    public static String UNABLE_TO_CREATE_FILE(String folder) { return  String.format("unable to create file %s", folder);}


    public static String UNABLE_TO_ADD_FOLDER(String folder, String to) {return String.format("unable to add folder %s to %s", folder, to);}
    public static String UNABLE_TO_DELETE_FOLDER(String folder){ return  String.format("unable to delete folder %s", folder);}
    public static String FOLDER_NOT_FOUND(String folder){ return  String.format("folder not found %s", folder);}

    public abstract List<IFolder> getFolders() throws StorageException;

    public abstract List<INode> getContents() throws StorageException;

    public abstract IFolder createFolder(String name) throws StorageException;

    public abstract IFile createFile(String name, InputStreamProvider inputStreamProvider, long length) throws StorageException;

}
