package syncloud.storage;

public class StorageException extends RuntimeException {
    ErrorCode errorCode = ErrorCode.Unknown;

    public StorageException(String message) {
        super(message);
    }

    public StorageException(ErrorCode code) {
        this(code, code.name());
    }

    public StorageException(String message, Throwable cause) {
        super(message, cause);
    }

    public StorageException(ErrorCode errorCode, String message) {
        super(message);
        this.errorCode = errorCode;
    }

    public StorageException(ErrorCode errorCode, String message, Throwable cause) {
        super(message, cause);
        this.errorCode = errorCode;
    }

    public ErrorCode getErrorCode() {
        return errorCode;
    }
}
