package syncloud.storage;

/**
 * @author Boris Rybalkin
 *         Date: 10/26/11
 */
public class User {
    private String login;

    public static User ANONYMOUS = new AnonymousUser();

    public User(String login) {
        this.login = login;
    }

    public String getLogin() {
        return login;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        User user = (User) o;

        if (login != null ? !login.equals(user.login) : user.login != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        return login != null ? login.hashCode() : 0;
    }

    public static class AnonymousUser extends User {
        private AnonymousUser() {
            super("anonymous");
        }
    }

    @Override
    public String toString() {
        return "User{" +
                "login='" + login + '\'' +
                '}';
    }
}
